#ifndef __NETLINKTHREAD_H__
#define __NETLINKTHREAD_H__

#include <cc++/strchar.h>
#include <cc++/exception.h>
#include <cc++/thread.h>
#include <cc++/socket.h>
#include <cc++/slog.h>

#ifdef	CCXX_NAMESPACES
using namespace std;
using namespace ost;
#endif

#include <unistd.h>
#include <stdio.h>
#include <iostream>
#include <map>

#include <defines.h>

extern "C" {
#include <libipulog/libipulog.h>
}

#define BUFFER_SIZE 1024000

class NetLinkThread : public Thread {
public:
  NetLinkThread(int nlgroup);
  NetLinkThread(int nlgroup,bool direction);
  ~NetLinkThread();
  void PaketHandler(ulog_packet_msg_t *pkt);
  void run();
  map <unsigned int,unsigned long long> GetAndClear();
private:
  void Init(int nlgroup);
  unsigned short SwapBytes(unsigned short to_swap);
  
  struct ipulog_handle *h;
  ulog_packet_msg_t *upkt;

  unsigned char *buf;
  bool running,incomming;

  map<unsigned int,unsigned long long> traffic;

  Mutex mutex;
};

#endif
